#
# spec file for package polipo (Version 1.0.4.1+git20101121)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

# norootforbuild

Name:		polipo
Version:	1.0.4.1+git20101121
%define trimcache_version 0.2
Release:	0.pm.1.1
Summary:	Lightweight Caching Web Proxy
Source:		http://www.pps.jussieu.fr/~jch/software/files/polipo/polipo-%{version}.tar.bz2
Patch1:		polipo-fix-makefile.patch
Patch2:		polipo-config.patch
Patch3:		polipo-forbidden.patch
Patch4:		polipo-logfile-path.patch
Source1:	polipo.init
Source2:	polipo.logrotate
Source3:	polipo.permissions
Source4:	polipo-dontcache
Source10:	http://ely.ath.cx/~piranha/software/polipo_trimcache/polipo_trimcache-%{trimcache_version}.py
Source11:	polipo-trimcache.sh
Source12:	polipo-trimcache.sysconfig
Source13:	polipo-trimcache.cron
Source14:	polipo.rpmlintrc
Source100:	%{name}.changes
URL:		http://www.pps.jussieu.fr/~jch/software/polipo/
Group:		Productivity/Networking/Web/Proxy
License:	MIT/X Consortium License
BuildRoot:	%{_tmppath}/build-%{name}-%{version}
PreReq:		%install_info_prereq %fillup_prereq
Requires:	python
BuildRequires:	gcc make glibc-devel
Recommends:	cron logrotate

%description
Polipo is a lightweight caching Web proxy that was designed as a personal
cache. It is able to cache incomplete objects and will complete them using
range requests. It will use HTTP/1.1 pipelining if supported by the remote
server.



%prep
%setup -q
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0

%build
%__make \
	%{?jobs:-j%{jobs}} \
	PREFIX="%{_prefix}" \
	BINDIR="%{_bindir}" \
	MANDIR="%{_mandir}" \
	INFODIR="%{_infodir}" \
	LOCAL_ROOT="%{_datadir}/polipo/www" \
	DISK_CACHE_ROOT="%{_localstatedir}/cache/polipo" \
	CC="%__cc" \
	CDEBUGFLAGS="%{optflags} -Wall -fno-strict-aliasing"

%install
%__make \
	PREFIX="%{_prefix}" \
	BINDIR="%{_bindir}" \
	MANDIR="%{_mandir}" \
	INFODIR="%{_infodir}" \
	LOCAL_ROOT="%{_datadir}/polipo/www" \
	DISK_CACHE_ROOT="%{_localstatedir}/cache/polipo" \
	TARGET="%{buildroot}" \
	install

%__install -d "%{buildroot}%{_localstatedir}/cache/polipo"

%__install -d "%{buildroot}%{_localstatedir}/log/polipo"

%__install -d "%{buildroot}%{_sysconfdir}/polipo"
%__install -m0640 config.sample "%{buildroot}%{_sysconfdir}/polipo/config"
%__install -m0640 forbidden.sample "%{buildroot}%{_sysconfdir}/polipo/forbidden"
%__install -m0640 "%{SOURCE4}" "%{buildroot}%{_sysconfdir}/polipo/dontcache"

%__install -D -m0755 "%{SOURCE1}" "%{buildroot}/etc/init.d/polipo"
%__install -d "%{buildroot}/usr/sbin"
%__ln_s ../../etc/init.d/polipo "%{buildroot}/usr/sbin/rcpolipo"

%__install -D -m0644 "%{SOURCE2}" "%{buildroot}/etc/logrotate.d/polipo"

%__install -D -m0644 "%{SOURCE3}" "%{buildroot}/etc/permissions.d/polipo"

%__install "%{SOURCE10}" "%{buildroot}%{_sbindir}/polipo_trimcache.py"
%__install "%{SOURCE11}" "%{buildroot}%{_sbindir}/polipo-trimcache.sh"
%__install -D -m 0644 "%{SOURCE12}" "%{buildroot}/var/adm/fillup-templates/sysconfig.polipo-trimcache"
%__install -D -m 0644 "%{SOURCE13}" "%{buildroot}/etc/cron.d/polipo-trimcache"

%pre
/usr/sbin/groupadd -r polipo >/dev/null 2>&1 || :
/usr/sbin/useradd -r -d "%{_localstatedir}/cache/polipo" \
	-g polipo \
	-c "Polipo Cache" \
	-s /bin/false \
	polipo >/dev/null 2>&1 || :

%post
%install_info --info-dir="%{_infodir}" "%{_infodir}/polipo".info*

%fillup_only -n polipo-trimcache 

%preun
%stop_on_removal
if [ "$1" -eq "0" ]; then
	/usr/sbin/rcpolipo stop >/dev/null 2>&1 || :
fi

%postun
%install_info_delete --info-dir="%{_infodir}" "%{_infodir}/polipo".info*
%insserv_cleanup
if [ "$1" -eq "1" ]; then
	/usr/sbin/rcpolipo try-restart >/dev/null 2>&1 || :
else
	/usr/sbin/userdel -r polipo >/dev/null 2>&1 || :
fi

%clean
%__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc CHANGES COPYING README
%attr(0750,root,polipo) %dir %{_sysconfdir}/polipo
%attr(0640,root,polipo) %config(noreplace) %{_sysconfdir}/polipo/config
%attr(0640,root,polipo) %config(noreplace) %{_sysconfdir}/polipo/forbidden
%attr(0640,root,polipo) %config(noreplace) %{_sysconfdir}/polipo/dontcache
%config(noreplace) /etc/logrotate.d/polipo
%config(noreplace) /etc/permissions.d/polipo
%{_bindir}/polipo
%{_datadir}/polipo
%attr(0750,polipo,polipo) %{_localstatedir}/cache/polipo
/etc/init.d/polipo
/usr/sbin/rcpolipo
%attr(0750,polipo,polipo) %{_localstatedir}/log/polipo
%doc %{_infodir}/polipo.info*
%doc %{_mandir}/man1/polipo.1*
%{_sbindir}/polipo_trimcache.py
%{_sbindir}/polipo-trimcache.sh
/var/adm/fillup-templates/sysconfig.polipo-trimcache
%config(noreplace) /etc/cron.d/polipo-trimcache

%changelog
* Mon Jan 24 2011 AxelKoellhofer@web.de - 1.0.4.1
- updated from git (20101121)
  avoid NULL-dereference upon malloc failure
* Tue Dec 28 2010 packman@links2linux.de - 1.0.4.1
- updated from git (20100329)
* Sat Apr 24 2010 packman@links2linux.de - 1.0.4.1
- fixed missing variable in polipo-trimcache.sh
* Wed Feb 17 2010 packman@links2linux.de - 1.0.4.1
- bumped release version to 1.0.4.1
* Thu Feb  4 2010 packman@links2linux.de - 1.0.4
- updated to latest git-snapshot
  * Fixed flawed logic in timeval_minus
* Fri Jan 29 2010 axel@links2linux.de
- updated to latest git-snapshot
  * Fixed a bug that could cause incorrect logging to syslog
  * Implemented work-around for broken Content-Range headers
  * Use 1024 instead of 32 as the length of the listen queue
  * Implemented the ability to control the permissions set on the log file
  * Implemented the ability to scrub private information from logs
- added cron and logrotate as recommended packages
* Tue Jan 26 2010 axel@links2linux@de
- updated to latest git-snapshot
* Tue Jan 19 2010 axel@links2linux.de
- updated to latest git-snapshot
* Sat Jan  9 2010 AxelKoellhofer@web.de
- built with -fno-strict-aliasing
* Wed Dec 30 2009 AxelKoellhofer@web.de
- updated from git at git.torproject.org/git/polipo.git
  to version 1.0.4+git20091225
- fixed permissions
- config-patch rewritten, added some comments for use with tor
- spec cleanup
* Thu Oct  1 2009 AxelKoellhofer@web.de
- fixed build for openSUSE >= 11.1 (spec and rpmlintrc)
* Tue Jan  8 2008 Pascal Bleser <guru@unixtech.be> 1.0.4
- new upstream version
* Mon Nov 26 2007 Pascal Bleser <guru@unixtech.be> 1.0.3
- more robust postun and preun scriptlets
* Tue Oct 23 2007 Pascal Bleser <guru@unixtech.be> 1.0.3
- added sample /etc/polipo/dontcache file
* Mon Oct 22 2007 Pascal Bleser <guru@unixtech.be> 1.0.3
- moved to openSUSE Build Service
- new upstream version
* Mon Aug 27 2007 Pascal Bleser <guru@unixtech.be> 1.0.2-1
- new upstream version
* Mon Jun 25 2007 Pascal Bleser <guru@unixtech.be> 1.0.1-1
- new upstream version
* Wed Mar  7 2007 Pascal Bleser <guru@unixtech.be> 1.0.0-1
- new upstream version
* Wed Feb  7 2007 Pascal Bleser <guru@unixtech.be> 0.9.12-1
- new upstream version
* Thu Dec  7 2006 Pascal Bleser <guru@unixtech.be> 0.9.11-1
- new upstream version
* Thu Nov  2 2006 Pascal Bleser <guru@unixtech.be> 0.9.10-1
- new package
